Loading...
Searching...
No Matches
id_pt_t< T >

## Detailed Description

template<class T>
struct rheolef::id_pt_t< T >

Definition at line 39 of file point_util.h.

Inheritance diagram for id_pt_t< T >:

## Public Types

typedef std::pair< size_t, point_basic< T > > | base

## Public Member Functions

| id_pt_t ()
| id_pt_t (size_t dis_i, const point_basic< T > &x)
template<class Archive >
void | serialize (Archive &ar, const unsigned int version)

## Member Typedef Documentation

## base

template<class T >

typedef std::pair<size_t,point_basic<T> > base

Definition at line 40 of file point_util.h.

## Constructor & Destructor Documentation

## id_pt_t() [1/2]

template<class T >

id_pt_t | ( |  | ) |

Definition at line 41 of file point_util.h.

## id_pt_t() [2/2]

template<class T >

id_pt_t | ( | size_t | dis_i,
|  | const point_basic< T > & | x
| ) |  |

Definition at line 42 of file point_util.h.

## Member Function Documentation

## serialize()

template<class T >
template<class Archive >

void serialize | ( | Archive & | ar,
|  | const unsigned int | version
| ) |  |

Definition at line 44 of file point_util.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/point_util.h